org.apache.felix.webconsole.plugins.upnp.internal

## Class Activator

- java.lang.Object
- - org.apache.felix.webconsole.plugins.upnp.internal.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator, org.osgi.util.tracker.ServiceTrackerCustomizer

    public class Activator
    extends java.lang.Object
    implements org.osgi.framework.BundleActivator, org.osgi.util.tracker.ServiceTrackerCustomizer

Activator is the main starting class.

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

Methods
`java.lang.Object` `addingService(org.osgi.framework.ServiceReference reference)`
`void` `modifiedService(org.osgi.framework.ServiceReference reference, java.lang.Object service)`
`void` `removedService(org.osgi.framework.ServiceReference reference, java.lang.Object service)`
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### start

    public final void start(org.osgi.framework.BundleContext context)
                     throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `java.lang.Exception`
See Also:
  `BundleActivator.start(org.osgi.framework.BundleContext)`

#### stop

    public final void stop(org.osgi.framework.BundleContext context)
                    throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `java.lang.Exception`
See Also:
  `BundleActivator.stop(org.osgi.framework.BundleContext)`

#### modifiedService

    public final void modifiedService(org.osgi.framework.ServiceReference reference,
                       java.lang.Object service)

Specified by:
  `modifiedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
See Also:
  `ServiceTrackerCustomizer.modifiedService(org.osgi.framework.ServiceReference, java.lang.Object)`

#### addingService

    public final java.lang.Object addingService(org.osgi.framework.ServiceReference reference)

Specified by:
  `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
See Also:
  `ServiceTrackerCustomizer.addingService(org.osgi.framework.ServiceReference)`

#### removedService

    public final void removedService(org.osgi.framework.ServiceReference reference,
                      java.lang.Object service)

Specified by:
  `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
See Also:
  `ServiceTrackerCustomizer.removedService(org.osgi.framework.ServiceReference, java.lang.Object)`